{
DAN SSSR 1975,  224(5),  1066-8:  Vavilin V.I.,, ..., Belov N.V.:
alpha-KIO3.HIO3.
a=10.570, b=8.613, c=7.437, gamma=112.21, Z=4, C2h^5 = P112_1/b.
Sr.: Petros`an A.M., ..., Krististallogr. 1983, 28(5), 915-921: tam:
a=10.846, b=7.450, c=8.637, beta=115.26o, P21/c, Z=4.
Men`ajem mestami y <-> z, chtoby byla ustanovka, v k-roj uzhe
zapis. oper. simm.
Tzh.: DAN SSSR 1978, 243, 354 - utochn. param. jach.
}
{
I1-O11 1.783; O12 1.797; O13 1.851;
I2-O21 1.804; O22 1.807; O23 1.842.
Utw.: 2 tipa O-H...O - 2.501 i 2.484A.
}
{
     Sravni:
     Koord. khimiya 1978, 4(12), 1903-8; ibid., 5(2), 263-7:
Treushnikov E.N., ..., alpha-KIO3.HIO3.
     P2_1/b; a=10.583, b=8.626, c=7.447, gamma=112.19 grad. Z=4.
I(1)      0.1261  0.0731 0.1968
I(2)      0.4934  0.2956 0.4349
K         0.7977  0.1596 0.2478
O(11)     0.0589  0.1854 0.0474
O(12)     0.2277  0.2335 0.3479
O(13)    -0.0301 -0.0125 0.3371
O(21)     0.6735  0.3487 0.4574
O(22)     0.4604  0.3875 0.6406
O(23)     0.4270  0.0823 0.5293
H(1)      0       0.5    0
H(2)      0.5     0.5    0
     Mezhat. rasst.:
I(1)-O(11) 1.789; I(1)-O(12) 1.792; I(1)-O(13)(H) 1.856;
O(13)...H(1)...O(13) 2.497;
I(2)-O(21) 1.792; I(2)-O(22) 1.818; I(2)-O(23)(H) 1.843;
O(23)...H(2)...O(23) 2.500.
     Ugly:
O(11)I(1)O(12) 102 grad 21 min;
O(11)I(1)O(13)  95 grad 33 min;
O(12)I(1)O(13)  98 grad 20 min;
O(21)I(2)O(22)  99 grad 53 min;
O(21)I(2)O(23) 100 grad 24 min;
O(22)I(2)O(23)  92 grad 50 min.
}

 const imya='a_khio32';

 procedure zad_bazis; var v:real;
 begin
  aa:=10.570; b:=7.437; c:=8.613;
  alpha:=pi/2; beta:=112.21*(pi/180); gamma:=pi/2;
  initvect(a[1],aa,0,0);
  initvect(a[2],0,b,0);
  initvect(a[3],c*cos(beta),0,c*sin(beta));
  {v:=aa*b*c*sin(beta); writeln('v=',v:10:4); readln;}
 end;

 procedure zad_simm; begin P2_1_c; end;

 procedure zad_molec; var i:integer;
  procedure ini1(var mo:molec; x,y,z:real; s:s5);
  begin with mo do begin
   nat:=1; initvect(a[1].r,x,y,z); a[1].obozn:=s; centr:=a[1].r;
  end; end;
 begin
  nmolec:=3;
  ini1(mo[1],0.79816,0.24711,0.15962,'K ');
  with mo[2] do begin
   nat:=4;
   initvect(a[1].r,0.12580,0.19749,0.07332); a[1].obozn:='I 1';
   initvect(a[2].r,0.06055,0.04743{ili 0.01743},0.18644); a[2].obozn:='O 11';
   initvect(a[3].r,0.22802,0.34909{ili 0.31909},0.23422); a[3].obozn:='O 12';
   initvect(a[4].r,-0.02998,0.33770,-0.01313); a[4].obozn:='O 13';
   centr:=a[1].r;
  end;
  with mo[3] do begin
   nat:=4;
   initvect(a[1].r,0.49282,0.43528,0.29602); a[1].obozn:='I 2';
   initvect(a[2].r,0.67429,0.45750,0.34917); a[2].obozn:='O 21';
   initvect(a[3].r,0.46046,0.64079,0.38661); a[3].obozn:='O 22';
   initvect(a[4].r,0.42710,0.52988,0.08261); a[4].obozn:='O 23';
   centr:=a[1].r;
  end;
 end;

 function nado_sv{(i,j:integer; r:real):boolean}; {opisana kak forward}
  var g1,g2,g3:boolean;
 begin
  g1:=r<2.2;
  g2:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'O ','O ') and (r<3.0));
  g3:=
    ((zapis[i].nr_mol<>zapis[j].nr_mol) and tipy(i,j,'I ','O ') and (r<2.8));
  if g1 or g2 {or g3} then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 {or g3};
 end;
 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;
