{Acta Cr. 1971, B27, 2003: B10H14. Von Brill R., ... . Pri -160oC.}
{gr. simm. byla zapis. kak C2/a, a osi sootv-vali monokl. 
  singonii s c perp. ab. Prover. pereborom ustanovok monokl. grupp, chto
  takoj gruppy ne m.b. 
  Kopiruem iz SYMMETRY.PAS opis. gruppy w dann. prog. (pereimenovav sootv. 
  podprog.) dlq vyjasn. Fiksir. n_centrir=1 i perebir. tau dlq C2 i sigma
  = 000, 1/2 00, 0 1/2 0, 00 1/2; poluch. - tk. 0 1/2 0 -> dve polovinki
  sklad. v molekulu. Perebir. razn. tsentrirujushch. trans. - odna ->
  nalezanie, drugaja -> wystupy protiw wystupow, 3-ja -> nechto
  priemlem. (hotq tozhe kazhetsa, chto mozhno bylo by upak. kompaktnee).
  Ostavl. najdenn. var-t - on sootv. B112/b.
  Zamech.: 4 atoma imejut z=0, no eto ne sv`az. ni s kakoj pl-st`ju simm.  
  Eshcho raz prosmatr.: jawno moglo by upakowatsa kompaktnee za schot
  sdwiga odnogo iz slojow - wystupy raspolozhilis` by protiw wpadin,
  i nichto ne ukhudshilos` by; zhelatel`no posm. orig. stat`ju !!!
}

 const imya='B10H14';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=14.32; b:=20.36; c:=5.62;
  alpha:=90*grad; beta:=90*grad; gamma:=(90+6/60)*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin B2_b{P1}; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:=12;
   initvect(a[1].r, 0.0336,0.3317,0.0000); a[1].obozn:='O 1';
   initvect(a[2].r, 0.0993,0.2738,0.1738); a[2].obozn:='B 2';
   initvect(a[3].r, 0.1192,0.2778,-0.1277); a[3].obozn:='B 3';
   initvect(a[4].r, 0.0976,0.1998,0.0000); a[4].obozn:='O 4';
   initvect(a[5].r, 0.0198,0.2086,0.2407); a[5].obozn:='B 5';
   initvect(a[6].r, 0.0456,0.3889,0.0000); a[6].obozn:='H 1';
   initvect(a[7].r, 0.1519,0.2874,0.3093); a[7].obozn:='H 2';
   initvect(a[8].r, 0.1853,0.2946,-0.2395); a[8].obozn:='H 3';
   initvect(a[9].r, 0.1565,0.1590,0.0000); a[9].obozn:='H 4';
   initvect(a[10].r, 0.0353,0.1747,0.4097); a[10].obozn:='H 5';
   initvect(a[11].r, 0.0452,0.3117,-0.2176); a[11].obozn:='H 6';
   initvect(a[12].r, 0.0883,0.2205,-0.2172); a[12].obozn:='H 7';
   centr:=a[1].r; {luchshe brat` seredinu mezhdu polovinkami molekuly !}
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5:boolean;
 begin
  g2:=tipy_(s1,s2,'B ','B ') and (r<{2.2}1.85);
  g3:=tipy_(s1,s2,'O ','O ') and (r<{2.2}1.85);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'N ','Cl') and (r<3.4);
  uslov:=g2 or g3;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.4) or
    ((r<1.85) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

