{CrO3: Acta Cr. 1970, B26, 222; Stephens J.S., Cruickshank D.W.J.}

 const imya='CrO3';

 procedure zad_bazis; var grad:real;
 begin grad:=pi/180;
  aa:=4.789; b:=8.557; c:=5.743;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin C2cm; end;

 procedure zad_molec;
 begin
  nmolec:=4;
  ini_1_at_mol(mo[1],0,0.40324,0.25,'Cr');
  ini_1_at_mol(mo[2],0.1159,0.5,0,'O 1');
  ini_1_at_mol(mo[3],0.1245,0.2323,0.25,'O 2');
  ini_1_at_mol(mo[4],-0.3284,0.3922,0.25,'O 3'); 
  {byla osh. - ne bylo '-' pered x}
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g1,g2:boolean;
 begin
  g1:=tipy_(s1,s2,'Cr','O ') and (r<2.4);
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0); 
  uslov:={g2}{false}g1;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<1.65) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:={0.7}0.5;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;


