{CuSO4*5H2O (khal`kantit): Kristallogr. 1983, 28(4), 651; Iskhakova L.D. i dr.;
  ukaz.: zigzagoobr. tsepi (Cu(OH2)4(SO4))besk.}

 const imya='cuso4_5w';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.116; b:=10.716; c:=5.961;
  alpha:=82.36*grad; beta:=107.31*grad; gamma:=102.61*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P1_{P1}; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=4;

  with mo[1] do begin
   nat:=5{13};
   initvect(a[1].r,0,0,0); a[1].obozn:='Cu1';
   initvect(a[2].r,0.2890,0.11739,0.1482); a[2].obozn:='O w1';
   initvect(a[3].r,0.8175-1,0.07341,0.1513); a[3].obozn:='O w2';
   for i:=4 to 5 do begin
    initvect(a[i].r,-a[i-2].r[1],-a[i-2].r[2],-a[i-2].r[3]);
    a[i].obozn:=a[i-2].obozn+'_';
   end;
   initvect(a[6].r,0.310,0.196,0.058); a[6].obozn:='H 11';
   initvect(a[7].r,0.338,0.112,0.300); a[7].obozn:='H 12';
   initvect(a[8].r,0.735-1,0.031,0.216); a[8].obozn:='H 21';
   initvect(a[9].r,0.877-1,0.136,0.220); a[9].obozn:='H 22';
   for i:=10 to 13 do begin
    initvect(a[i].r,-a[i-4].r[1],-a[i-4].r[2],-a[i-4].r[3]);
    a[i].obozn:=a[i-4].obozn+'_';
   end;
   centr:=a[1].r;
  end;

  with mo[2] do begin
   nat:=5{13};
   initvect(a[1].r,1/2,1/2,0); a[1].obozn:='Cu2';
   initvect(a[2].r,0.5346,0.59354,-1+0.7032); a[2].obozn:='O w3';
   initvect(a[3].r,0.2454,0.58364,-0.0190); a[3].obozn:='O w4';
   for i:=4 to 5 do begin
    initvect(a[i].r,1-a[i-2].r[1],1-a[i-2].r[2],-a[i-2].r[3]);
    a[i].obozn:=a[i-2].obozn+'_';
   end;
   initvect(a[6].r,0.653,0.612,-1+0.668); a[6].obozn:='H 31';
   initvect(a[7].r,0.407,0.602,-1+0.586); a[7].obozn:='H 32';
   initvect(a[8].r,0.214,0.596,0.076); a[8].obozn:='H 41';
   initvect(a[9].r,0.150,0.599,-0.127); a[9].obozn:='H 42';
   for i:=10 to 13 do begin
    initvect(a[i].r,1-a[i-4].r[1],1-a[i-4].r[2],-a[i-4].r[3]);
    a[i].obozn:=a[i-4].obozn+'_';
   end;
   centr:=a[1].r;
  end;

  with mo[3] do begin
   nat:=5;
   initvect(a[1].r, 0.01325, 0.28642, 0.62526); a[1].obozn:='S ';
   initvect(a[2].r, 0.0435, 0.30144, 0.3845); a[2].obozn:='O 1';
   initvect(a[3].r, 0.2447, 0.31758, 0.7963); a[3].obozn:='O 2';
   initvect(a[4].r,-0.1402, 0.37225, 0.6367); a[4].obozn:='O 3';
   initvect(a[5].r,-0.0924, 0.15196, 0.6736); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;

  with mo[4] do begin
   nat:=1{3};
   initvect(a[1].r,0.4341,0.12417,0.6278); a[1].obozn:='O w5';
   initvect(a[2].r,0.581,0.131,0.663); a[2].obozn:='H 51';
   initvect(a[3].r,0.429,0.185,0.688); a[3].obozn:='H 52';
   centr:=a[1].r;
  end;

 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<{3.2}2.72);
  {mnogo H-sv. - pri 2.72 pojav. tk. 3 sorta}
  uslov:=g2;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2,g3:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g3:=tipy_(zapis^[i].obozn,zapis^[j].obozn,'Mg','O ') and (r<2.1);
  if g1 or g2 or g3 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.9;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

