{Acta Cr. 1970, B26, 1722: DL-Histidin*HCl*2H2O;
  konform. otlich. ot togo, chto v opt. aktivnom!
}

 const imya='dl_his_c';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=8.87; b:=15.30; c:=8.48;
  alpha:=90*grad; beta:=114.5*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm;
 begin
  P2_1_a{P1};
 end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=4;
  with mo[1] do begin
   nat:=11{18};
   initvect(a[1].r, 0.7909,0.3082,0.6412); a[1].obozn:='C 1';
   initvect(a[2].r, 0.8038,0.2109,0.6161); a[2].obozn:='C 2';
   initvect(a[3].r, 0.8771,0.1670,0.7964); a[3].obozn:='C 3';
   initvect(a[4].r, 0.8957,0.0710,0.7836); a[4].obozn:='C 4';
   initvect(a[5].r, 0.9978,-0.0515,0.7326); a[5].obozn:='C 5';
   initvect(a[6].r, 0.8070,0.0050,0.8102); a[6].obozn:='C 6';
   initvect(a[7].r, 0.6334,0.1748,0.5119); a[7].obozn:='N 1';
   initvect(a[8].r, 1.0140,0.0334,0.7345); a[8].obozn:='N 2';
   initvect(a[9].r, 0.8739,-0.0705,0.7766); a[9].obozn:='N 3';
   initvect(a[10].r, 0.6537,0.3389,0.6146); a[10].obozn:='O 1';
   initvect(a[11].r, 0.9246,0.3504,0.6864); a[11].obozn:='O 2';
   initvect(a[12].r, 0.8828,0.1970,0.5480); a[12].obozn:='H C2';
   initvect(a[13].r, 0.7780,0.1778,0.8470); a[13].obozn:='H C3';
   initvect(a[14].r, 0.9907,0.1992,0.8818); a[14].obozn:='H C3';
   initvect(a[15].r, 1.0720,-0.0958,0.6992); a[15].obozn:='H C5';
   initvect(a[16].r, 0.7058,0.0112,0.8486); a[16].obozn:='H C6';
   initvect(a[17].r, 1.0985,0.0688,0.7054); a[17].obozn:='H N2';
   initvect(a[18].r, 0.8298,-0.1319,0.7875); a[18].obozn:='H N3';
   centr:=a[1].r;
  end;
  ini_1_at_mol(mo[2],0.2908,0.2460,0.1975,'Cl');
  ini_1_at_mol(mo[3],0.6661,0.0270,0.3354,'O w1');
  ini_1_at_mol(mo[4],0.4380,0.0988,0.0340,'O w1');
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<2.6);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.1);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'N ','Cl') and (r<3.4);
  uslov:=(g2 or g3 or g4 or g5);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

