{Naturwiss. 1952, 39, 20; Mueller H.R., Stackelberg M.V.; 
  tzh. J.Ch.Ph. 1951, 19, 259 i 1425 - Claussen W.F.; gidraty X*5,75H2O .
  Dl`a Cl2, SO2, MeSH, H2S, MeBr, MeCl, Br2 .
  Esli zapoln. vse 8 pustot, -> *5,75H2O;
  esli tk. 6 srednikh, -> *(7+2/3)H2O.
}

 const imya='gidr_575';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=12.0 {net tochn. znach.}; b:=aa; c:=aa;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin Pm3n{P1}; end;

 procedure zad_molec; var i:integer; x,y,z:real;
 begin
  nmolec:={3}5;
  y:=0.307; z:=0.117; ini_1_at_mol(mo[1],0,y,z,'O 1'); {k, 24 H2O}
  x:=0.190; ini_1_at_mol(mo[2],x,x,x,'O 2'); {i, 16H2O}
  ini_1_at_mol(mo[3],1/4,0,1/2,'O 3'); {c, 6H2O}
  ini_1_at_mol(mo[4],1/4,1/2,0,'S '); {d, 6 pustot}
  ini_1_at_mol(mo[5],0,0,0,'Cl'); {a, 2 pustoty}
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<{3.2}3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<{3.2}2.7);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.5);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  uslov:=(g2 or g3 or g4 or g5 or g6);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2,g3:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g3:=tipy_(zapis^[i].obozn,zapis^[j].obozn,'Mg','O ') and (r<2.1);
  if g1 or g2 or g3 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

