{Acta Cr. 1962, 15, 227: Nardelli M., ..., MgS2O3*6H2O.}

 const imya='MgS2O3w';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=9.32; b:=14.36; c:=6.87;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm;
 begin Pnma{P1}; {D2h^16} end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=2;
  with mo[1] do begin
   nat:=7;
   initvect(a[1].r, 0,0,0); a[1].obozn:='Mg';
   initvect(a[2].r, -0.1546, 0.0821, 0.1462); a[2].obozn:='O 1w';
   initvect(a[3].r,  0.1269, 0.1172,-0.0304); a[3].obozn:='O 2w';
   initvect(a[4].r, -0.0980, 0.0275,-0.2638); a[4].obozn:='O 3w';
   initvect(a[5].r,  0.1546,-0.0821,-0.1462); a[5].obozn:='O 1wa';
   initvect(a[6].r, -0.1269,-0.1172, 0.0304); a[6].obozn:='O 2wa';
   initvect(a[7].r,  0.0980,-0.0275, 0.2638); a[7].obozn:='O 3wa';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r, 0.0417, 1/4, 0.4390); a[1].obozn:='S 1';
   initvect(a[2].r, 0.2148, 1/4, 0.6160); a[2].obozn:='S 2';
   initvect(a[3].r, -0.0427, 0.1649, 0.4823); a[3].obozn:='O 1';
   initvect(a[4].r, 0.0922, 1/4, 0.2348); a[4].obozn:='O 2';
   initvect(a[5].r, -0.0427, 1/2-0.1649, 0.4823); a[5].obozn:='O 1a';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.1);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.1);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  uslov:=(g2 or g3 or g4);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.2) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

