{Acta cryst. 1970, B26, 437: (NH4)2CrO4}
 const imya='A2CrO4';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=12.21; b:=6.258; c:=7.630;
  alpha:=90*grad; beta:=(115+10/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin C2_m; end;

 procedure zad_molec;
 begin
  nmolec:=3;
  with mo[1] do begin
   nat:=5;
   initvect(a[1].r, 0.17184,0,0.21239); a[1].obozn:='Cr';
   initvect(a[2].r, 0.3181,0,0.3579); a[2].obozn:='O 1';
   initvect(a[3].r, 0.0905,0,0.3374); a[3].obozn:='O 2';
   initvect(a[4].r, 0.1407,0.2152,0.0767); a[4].obozn:='O 3';
   initvect(a[5].r, 0.1407,-0.2152,0.0767); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r, 0.5171,0,0.2516); a[1].obozn:='N 1';
   initvect(a[2].r, 0.4492,0,0.2637); a[2].obozn:='H 1';
   initvect(a[3].r, 0.5822,0,0.3860); a[3].obozn:='H 3';
   initvect(a[4].r, 0.5233,0.1203,0.1841); a[4].obozn:='H 5';
   initvect(a[5].r, 0.5233,-0.1203,0.1841); a[5].obozn:='H 5a';
   centr:=a[1].r;
  end;
  with mo[3] do begin
   nat:=5;
   initvect(a[1].r, 0.8405,0,0.2650); a[1].obozn:='N 2';
   initvect(a[2].r, 0.9064,0,0.2496); a[2].obozn:='H 2';
   initvect(a[3].r, 0.8564,0,0.3897); a[3].obozn:='H 4';
   initvect(a[4].r, 0.7954,0.1160,0.2039); a[4].obozn:='H 6';
   initvect(a[5].r, 0.7954,-0.1160,0.2039); a[5].obozn:='H 6a';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.5);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g2:=false; {slishk. mnogo H-sv. - zatyk.}
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

