{beta-alanin: Acta Cryst. 1965, 18, 806; Parimala Jose, L.M.Pant}

 const imya='beta_ala';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=9.865; b:=13.81; c:=6.07;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin Pbca; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=1;
  with mo[1] do begin
   nat:={6}13;
   initvect(a[1].r,  0.2955,  0.0663, -0.0450);  a[1].obozn:='N ';
   initvect(a[2].r,  0.2318,  0.1599,  0.0120);  a[2].obozn:='C 1';
   initvect(a[3].r,  0.0850,  0.1601, -0.0796);  a[3].obozn:='C 2';
   initvect(a[4].r, -0.0214,  0.1107,  0.0717);  a[4].obozn:='C 3';
   initvect(a[5].r, -0.1393,  0.0969, -0.0156);  a[5].obozn:='O 1';
   initvect(a[6].r,  0.0174,  0.0851,  0.2655);  a[6].obozn:='O 2';
   initvect(a[7].r,  0.22798, 0.01029,-0.01222); a[7].obozn:='H ';
   initvect(a[8].r,  0.38283, 0.05691, 0.04857); a[8].obozn:='H ';
   initvect(a[9].r,  0.32050, 0.06585,-0.21144); a[9].obozn:='H ';
   initvect(a[10].r, 0.28933, 0.21904,-0.06150); a[10].obozn:='H ';
   initvect(a[11].r, 0.22968, 0.16868, 0.19043); a[11].obozn:='H ';
   initvect(a[12].r, 0.08531, 0.12237,-0.23732); a[12].obozn:='H ';
   initvect(a[13].r, 0.05423, 0.23511,-0.10450); a[13].obozn:='H ';
   centr:=a[3].r;
  end;
  mozhno_vylez:=false;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.1);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.1);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.1);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.3;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

