{J.Ch.Ph. 1951, 19, 1319; Naturwiss. 1951, 38, 456; gidraty X*17H2O;
  realiz. dl`a CHCl3, CH2Cl2, EtCl.
  Bol`sh. mol. zap. tk. bol`sh. pust. -> X*17H2O; odnovr. mal. molek.
  mogut vlazit` v men`sh, -> tipa CHCl3*2H2S*17H2O.
}

 const imya='gidr_17';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=17.2; b:=aa; c:=aa;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin Fd3m{P1}; end;

 procedure zad_molec; var i:integer; x,y,z:real; const a=-0.125;
 {v Intern. Tables 000 -> 0 1/4 1/4 i t.p., a v stat`je - tk. 1/4 1/4 1/4;
   chtoby poluch. nuzhn. kratnosti, prishlos` ko vsem koord. dobav. a=-1/8;
   vozm., bukvenn. obozn. pozitsij tozhe ne sootv. dannym v Int. Tabl.
 }
 begin
  nmolec:={3}5;
  ini_1_at_mol(mo[1],0+a,0+a,0+a,'O 1'); {a, 8H2O}
  x:=-0.093; ini_1_at_mol(mo[2],x+a,x+a,x+a,'O 2'); {e, 32H2O}
  x:=-0.057; z:=-0.242; ini_1_at_mol(mo[3],x+a,x+a,z+a,'O 3'); {g, 96H2O}
  ini_1_at_mol(mo[4],1/2+a,1/2+a,1/2+a,'S '); {b, 8 bol`sh. pust.}
  ini_1_at_mol(mo[5],1/8+a,1/8+a,1/8+a,'Cl'); {c, 16 mal. pustot}
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<{3.2}3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<{3.2}2.7);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.5);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  uslov:=(g2 or g3 or g4 or g5 or g6);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2,g3:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g3:=tipy_(zapis^[i].obozn,zapis^[j].obozn,'Mg','O ') and (r<2.1);
  if g1 or g2 or g3 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.2;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

