{Acta Cr. 1956, 9, 655: Donohue J.; Histidin*HCl*H2O;
  sm. tzh. Acta Cr. 1964, 17, 1178 (net toma).
}

 const imya='his_cl';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=15.38; b:=8.92; c:=6.88;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1_2_1_2_1{P1}; end;

 procedure zad_molec; var i:integer;
 begin
  nmolec:=3;
  with mo[1] do begin
   nat:=11;
   initvect(a[1].r, 0.3642,0.1935,0.5034); a[1].obozn:='C 1';
   initvect(a[2].r, 0.4022,0.1176,0.3243); a[2].obozn:='C 2';
   initvect(a[3].r, 0.4531,0.2210,0.1891); a[3].obozn:='C 3';
   initvect(a[4].r, 0.4016,0.3603,0.1304); a[4].obozn:='C 4';
   initvect(a[5].r, 0.3417,0.5245,-1+0.9303); a[5].obozn:='C 5';
   initvect(a[6].r, 0.3669,0.4743,0.2375); a[6].obozn:='C 6';
   initvect(a[7].r, 0.3291,0.0386,0.2171); a[7].obozn:='N 1';
   initvect(a[8].r, 0.3835,0.3945,-1+0.9392); a[8].obozn:='N 2';
   initvect(a[9].r, 0.3302,0.5749,0.1136); a[9].obozn:='N 3';
   initvect(a[10].r, 0.2845,0.1834,0.5393); a[10].obozn:='O 1';
   initvect(a[11].r, 0.4207,0.2604,0.6074); a[11].obozn:='O 2';
   centr:=a[1].r;
  end;
  ini_1_at_mol(mo[2],0.1760,0.2275,0.0302,'Cl');
  ini_1_at_mol(mo[3],0.0812,0.1010,0.4093,'O w');
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<2.6);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.1);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  g5:=tipy_(s1,s2,'N ','Cl') and (r<3.4);
  uslov:=(g2 or g3 or g4 or g5);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

