{Acta Cryst. 1966, 20, <766 (utochnit`!): LiIO3}

 const imya='LiIO3';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=5.1815; b:=aa; c:=5.1709; alpha:=90*grad; beta:=90*grad; gamma:=120*grad;
  {postr_yach(aa,b,c,alpha,beta,gamma);}
  initvect(a[1],aa,0,0);
  initvect(a[2],-0.5*aa,(sqrt(3)/2)*aa,0);
  initvect(a[3],0,0,c);
 end;

 procedure zad_simm;
 begin P6_3; {"skoree C6, chem D6, kak soobshch. ranee"} end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=2;
  ini_1_at_mol(mo[1],0,0,0.8907,'Li');
  with mo[2] do begin
   nat:=4;
   initvect(a[1].r,1/3,2/3,0); a[1].obozn:='I ';
   initvect(a[2].r,0.09358,0.34396,0.16980); a[2].obozn:='O 1';
   initvect(a[3].r,0.25038, 1-0.09358,  0.16980); a[3].obozn:='O 2';
   initvect(a[4].r,0.65604, 1-0.25038,  0.16980); a[4].obozn:='O 3';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<2.75);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  uslov:=(g2 or g3 or g4 or g5 or g6);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<1.9) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.4;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

