{Acta cryst. 1970, B26, 436 (osh? s.437 - (NH4)2CrO4 ?): Na2SeO4;
  utv.: izomorf. s Na2SO4 V - tenarditom.
  Utv.: Z=8; Na - 16, Se - 8, O - 32;
  v Fddd vozm. vybor nachala v 222 ili v 1_; v SYMMETRY.PAS sozd.
  oba var-ta; koord. dany dl`a 1_, no my sdvig. ikh, chtoby SeO4 byli 
  v versh. jachejki.
  Pri rab. s dann. strukt. obnar., chto tekushch. versija istin_molek
  treb. dodelki: molekule prinadl. atom, poluch. iz dannogo chastichnoj
  transl`atsiej, no iskhodn. atom toj zhe molek. ekviv. jemu (sovmeshch. 
  povorotom); istin_molek nakh. iskhodn. at. i uspokaiv., khot`a nado 
  perebr. vse var-ty.
}
 const imya='Na2SeO4';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.099; b:=12.590; c:=10.163;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; 
 begin Fddd {nachalo v 222; mozhno vz`at` Fddd_i, a v zad_molek - s=0}; end;

 procedure zad_molec; var s:real;
 begin s:=-1/8; {podobr. eksperim.; sootv. ozhid.: sogl. Int. Tables,
   i - v tochke -1/8,-1/8,-1/8 otnos. 222; togda pri perekh. ot i k 222
   vse koord. umen`sh. na 1/8. Kstati, s=1/8 -> "perekisn. mostiki"}
  nmolec:=2;
  ini_1_at_mol(mo[1],1/8-s,1/8-s,0.4410-s,'Na'); {16x}
(*
  ini_1_at_mol(mo[2],1/8-s,1/8-s,1/8-s,'Se'); {8x}
  ini_1_at_mol(mo[3],-0.0316-s,0.0509-s,0.2211-s,'O '); {32x}
*)
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r, 1/8-s,1/8-s,1/8-s); a[1].obozn:='Se';
   initvect(a[2].r, -0.0316-s,0.0509-s,0.2211-s); a[2].obozn:='O 1';
   initvect(a[3].r, -0.0316-s,0.5-(0.0509-s),0.5-(0.2211-s)); a[3].obozn:='O 2';
   initvect(a[4].r, 0.5-(-0.0316-s),0.0509-s,0.5-(0.2211-s)); a[4].obozn:='O 3';
   initvect(a[5].r, 0.5-(-0.0316-s),0.5-(0.0509-s),0.2211-s); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.5);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) {and x};
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<1.8) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g2:=false; {slishk. mnogo H-sv. - zatyk.}
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:={0.3}0.01;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>=-d) and (q[3]<=1+d);
 end;

