{NH4IO3; J.Ch.Ph. 1971, 54(6), 2556;
  ukaz.: eto faza A, poluch. iz r-ra pri komn. T; ~85..95oC -> FP; -> 
  nepol`arn. faza B; okhl. -> faza C s <-m DeltaH perekhoda v fazu C
  (t.e. bogache energiej) i dr. optich. sv-vami.
}

 const imya='NH3IO3';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=6.4115; b:=9.1706; c:=6.3740;
  alpha:=90*grad; beta:=90*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin Pc2_1n; end;

 procedure zad_molec; var i,ix,iy:integer;
 begin
  nmolec:=2;
  with mo[1] do begin
   nat:=1{5};
   initvect(a[1].r,0.49800,0.26200,0.00300); a[1].obozn:='N ';
(*
   {ugadannye polozh. at. H - na N...O; obesp. tetraedr.}
   initvect(a[2].r,0.32743,0.27754,0.01928); a[2].obozn:='H 1';
   initvect(a[3].r,0.48505,0.27754,-0.16572); a[3].obozn:='H 2';
   initvect(a[4].r,0.56312,0.34858,0.10475); a[4].obozn:='H 3';
   initvect(a[5].r,0.59494,0.17727,0.05961); a[5].obozn:='H 4';
*)
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=4;
   initvect(a[1].r,-0.01124,0,0.00895); a[1].obozn:='I ';
   initvect(a[2].r,0.174,-0.004,0.222); a[2].obozn:='O 1';
   initvect(a[3].r,-0.240,0.033,0.156); a[3].obozn:='O 2';
   initvect(a[4].r,-0.037,-0.196,-0.047); a[4].obozn:='O 3';
   centr:=a[1].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<{3.2}2.7);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.1{2.7});
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.2);
  uslov:=(g2 or g3 or g4);
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2,g3:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  g3:=tipy_(zapis^[i].obozn,zapis^[j].obozn,'Mg','O ') and (r<2.1);
  if g1 or g2 or g3 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2 or g3;
 end;

 function nado_postr; {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.5;
  nado_postr:=(q[1]>=-d) and (q[1]<=(1+d))
    and (q[2]>=-d) and (q[2]<=(1+d))
    and (q[3]>=-d) and (q[3]<=(1+d));
 end;

(*
Program h; {NH4IO3 - provyerka Z=4; stranno: -> 3.87}
 {$i constant.pas}
 var v,m,ro,roist,N:real;
Begin
 initmnozh;
 v:=6.4115*9.1706*6.3740*angst*angst*angst; writeln('v=',v:15);
 m:=14+4+127+3*16; writeln('m pribl.=',m:10:4,' aem.');
 m:=192.94*aem; writeln('m=',m:15);
 ro:=m/v; writeln('ro=',ro:10:4);
 roist:=3.309;
 N:=roist/ro; writeln(N:10:4);
 readln;
End.
*)
(*
{korryekts. *.MOL s udal.chasti at.vruchnuyu i t.p.}
 var oboat:string;

 for i:=1 to 4 do begin readln(b,s); writeln(bb,s); end;
 nat:=0; while not eof(b) do with atomy[nat+1] do begin
  read(b,nr,oboat,r[1],r[2],r[3],sv[1],sv[2],sv[3],sv[4],sv[5],sv[6]);
  nat:=nat+1;
 end;

 for i:=9 to 12 do for j:=1 to 4 do begin {prostav.atomy H}
  nat:=nat+1;
  sryed(atomy[i].r,atomy[atomy[i].sv[j]].r,0.37,rab);
  {NH4IO3: R(N..O)=2.86..2.99A, sryed. - 2.95; rNH=1.09 - eto 0.37 ot 2.95}
  writeln(bb,nat:4,' ','H','   ',rab[1]:10:5,rab[2]:10:5,rab[3]:10:5,' ',
    i:4,nul:4,nul:4,nul:4,nul:4,nul:4);
 end;
*)
